# BinaryPluginIdentifier

interface BinaryPluginIdentifier : PluginIdentifier

Identifies a Gradle binary plugin.

#### Since

5.1

## Functions

getClassName
Link copied to clipboard
abstract fun getClassName(): String
Returns the fully-qualified class name of this plugin.
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getPluginId
Link copied to clipboard
@Nullable
abstract fun getPluginId(): @Nullable String
Returns the plugin id of this plugin, if available.